/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
import {
    SamplingPointsService,
    SamplingPointsServiceFromJSON,
    SamplingPointsServiceFromJSONTyped,
    SamplingPointsServiceToJSON,
} from './';

/**
 * 
 * @export
 * @interface SamplingPoint
 */
export interface SamplingPoint {
    /**
     * 
     * @type {number}
     * @memberof SamplingPoint
     */
    id: number;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    name: string;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    address: string;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    addressShort?: string;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    openingHours?: string | null;
    /**
     * 
     * @type {number}
     * @memberof SamplingPoint
     */
    capacity?: number | null;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPoint
     */
    updatedAt: Date;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    covidFormsAppLink?: string | null;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    covidFormsAppId?: string | null;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    locationDescription?: string | null;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    providerLink?: string | null;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    status: SamplingPointStatusEnum;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    district?: string | null;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    districtName?: string | null;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    contact?: string | null;
    /**
     * 
     * @type {string}
     * @memberof SamplingPoint
     */
    paymentType?: string | null;
    /**
     * 
     * @type {Array<SamplingPointsService>}
     * @memberof SamplingPoint
     */
    services?: Array<SamplingPointsService> | null;
}

export function SamplingPointFromJSON(json: any): SamplingPoint {
    return SamplingPointFromJSONTyped(json, false);
}

export function SamplingPointFromJSONTyped(json: any, ignoreDiscriminator: boolean): SamplingPoint {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'id': json['id'],
        'name': json['name'],
        'address': json['address'],
        'addressShort': !exists(json, 'address_short') ? undefined : json['address_short'],
        'openingHours': !exists(json, 'opening_hours') ? undefined : json['opening_hours'],
        'capacity': !exists(json, 'capacity') ? undefined : json['capacity'],
        'updatedAt': (new Date(json['updated_at'])),
        'covidFormsAppLink': !exists(json, 'covid_forms_app_link') ? undefined : json['covid_forms_app_link'],
        'covidFormsAppId': !exists(json, 'covid_forms_app_id') ? undefined : json['covid_forms_app_id'],
        'locationDescription': !exists(json, 'location_description') ? undefined : json['location_description'],
        'providerLink': !exists(json, 'provider_link') ? undefined : json['provider_link'],
        'status': json['status'],
        'district': !exists(json, 'district') ? undefined : json['district'],
        'districtName': !exists(json, 'district_name') ? undefined : json['district_name'],
        'contact': !exists(json, 'contact') ? undefined : json['contact'],
        'paymentType': !exists(json, 'payment_type') ? undefined : json['payment_type'],
        'services': !exists(json, 'services') ? undefined : (json['services'] === null ? null : (json['services'] as Array<any>).map(SamplingPointsServiceFromJSON)),
    };
}

export function SamplingPointToJSON(value?: SamplingPoint | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'id': value.id,
        'name': value.name,
        'address': value.address,
        'address_short': value.addressShort,
        'opening_hours': value.openingHours,
        'capacity': value.capacity,
        'updated_at': (value.updatedAt.toISOString()),
        'covid_forms_app_link': value.covidFormsAppLink,
        'covid_forms_app_id': value.covidFormsAppId,
        'location_description': value.locationDescription,
        'provider_link': value.providerLink,
        'status': value.status,
        'district': value.district,
        'district_name': value.districtName,
        'contact': value.contact,
        'payment_type': value.paymentType,
        'services': value.services === undefined ? undefined : (value.services === null ? null : (value.services as Array<any>).map(SamplingPointsServiceToJSON)),
    };
}

/**
* @export
* @enum {string}
*/
export enum SamplingPointStatusEnum {
    Active = 'active'
}


